Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 22 Jul 2014, 11:31
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Newyearspup 02 Micro, Mini, Midi, and Maxi RC10
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 19 of 30 [441 Posts]   Goto page: Previous 1, 2, 3, ..., 17, 18, 19, 20, 21, ..., 28, 29, 30 Next
Author Message
tlchost

Joined: 05 Aug 2007
Posts: 1667
Location: Baltimore, Maryland USA

PostPosted: Fri 27 Mar 2009, 05:28    Post subject:  

MU wrote:
I will try remaster express on my own.


If you can, please find a way to turn the autosave when running a USB bootable off.....while it's nice to save a session befroe one reboots, the
autosave may save things that we don't want saved.

Thanks

Thom
Back to top
View user's profile Send private message Visit poster's website 
techtype

Joined: 16 Nov 2008
Posts: 181

PostPosted: Fri 27 Mar 2009, 14:45    Post subject: nVidia Drivers  

Mark,

If you get time, please release the nvidia drivers as a pet.

Thanks!!

Edit: no rush at all on this Mark, I found where you did the open source drivers as an SFS and that will satisfy me for now. I'm using them with wow's pup.
Back to top
View user's profile Send private message 
farangcm

Joined: 16 Feb 2009
Posts: 5

PostPosted: Sat 28 Mar 2009, 02:11    Post subject: amdpcsdb revisited  

I dug a little deeper and found that the amdpcsdb.default file is the same in RC2 and RC3 and the ATI Catalyst Control Center multi-display tab has the clone and extended options. In RC6 and RC7 the amdpcsdb.default file doesn't have one command: "Enable RandR12=SFALSE". That is the only difference. So RC7 is ok--for whatever reason, I just need to issue that command to see the multi-display options.

Allen
Back to top
View user's profile Send private message 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Mon 30 Mar 2009, 17:27    Post subject:  

I made a pet of Scribus 1.3.3.12 that works with NewYearsPup MU.

http://www.murga-linux.com/puppy/viewtopic.php?t=40511
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Mon 30 Mar 2009, 17:42    Post subject:  

playdayz wrote:
I made a pet of Scribus 1.3.3.12 that works with NewYearsPup MU.

http://www.murga-linux.com/puppy/viewtopic.php?t=40511


great, thanks.
I just installed the scribus.pet, but not the other three you mentioned, as the MIDI and MAXI already contain (different) versions.
Scribus starts up without error, so it seems, that the other pets are not required.
I did not test it in detail, as I need some sleep now.

I mirrored it in the addons folder for the midi/maxi version.
http://puppyisos.org/isos/2009-01-to-06/Newyearspup02/addons-Midi-Maxi/scribus-13312.pet
Thanks, Mark
scribus.jpg
 Description   
 Filesize   76.67 KB
 Viewed   2986 Time(s)

scribus.jpg


_________________
my recommended links
Back to top
View user's profile Send private message Visit poster's website 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Mon 30 Mar 2009, 22:09    Post subject:  

I thought NYP had the dependencies, python and the dbus programs, as well as the qt but I forgot to either check or mention it. I will change the description to say that "NYP Midi and Maxi already have the dependencies and require nothing else in addition to the scribus13312 pet." Is that correct? thanks.

Oh yeah, I also am finishing a Gimp 2.6.6 pet that works with NYP and Ultrapup but not with 4.1.1 or 4.2 (so far).
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Tue 31 Mar 2009, 01:17    Post subject:  

playdayz wrote:
I will change the description to say that "NYP Midi and Maxi already have the dependencies and require nothing else in addition to the scribus13312 pet." Is that correct?


yes, this is correct Smile
Mark

_________________
my recommended links
Back to top
View user's profile Send private message Visit poster's website 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Thu 02 Apr 2009, 12:51    Post subject: GIMP 2.6.6
Subject description: For NewYearsPup
 

These two pets will install Gimp 2.6.6 (latest stable version) on NewYearsPup (not yet on 4.2 unfortunately). I tested on NYP maxi rc7.

gimp266.pet contains the program and menu files
http://www.diddywahdiddy.net/Puppy400/gimp266.pet

4NYPgimp.pet contains the dependencies for NYP
http://www.diddywahdiddy.net/Puppy400/4NYPgimp.pet

I have tested that it starts and runs with no errors from a console, also that the dependencies are necessary for NYP. It also sets a menu item. The program files are Slackware binaries. Please let me know about any anomalies. Thank you.
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Sun 05 Apr 2009, 17:39    Post subject:  

I uploaded NYP 02 rc8

Please also install this small bugfix:
http://www.murga-linux.com/puppy/viewtopic.php?p=293220#293220

Changes:
updated libdrm (2.4.5), Mesa (7.4), Ati Radeon (6.12.1), Ati Catalyst (9.3), Intel 2.6.3 (thanks Johan).
To read details about these changes, look at http://www.murga-linux.com/puppy/viewtopic.php?t=39154&start=60.
You'll also find there "standalone" pets of those drivers, in case you want to upgrade yourself Micro or Mini or Lxdepup.

Further upgrades:
Wine: 1.1.18 (thanks technosaurus)
Gimp: 2.6.6 (thanks Playdayz!)
Firefox: 3.0.8

Added:
Winecolorsetter
FoxIt! PDF-Viewer (thanks ttuuxx)
JWM alpha (with rounded corners and xcompmgr support, thanks Patriot)
Streamtuner with Alsaplayer (thanks ttuuxx) and streamripper

Still unsolved are these issues:
-multisession not possible with remastered CD
-slow networktraffic:
http://www.murga-linux.com/puppy/viewtopic.php?t=39154&start=75


Notes 1:
the drm.ko is a patched version supporting newer Ati cards. I hope, it does not break dri support of other cards. In case it does, try to replace it with the old drm.ko I attach.
I'm sorry for this confusion, but with all the latest drivers, it is not possible for me to check these changes myself. So I depend on your reports.

Notes 2:
switching from Ati radeon (xorgwizard) to Ati Catalyst and vice versa might freeze X. Simply reboot then.
R600 (e.g. HD4850) and R700 chips from Ati have no 3D accelleration with the Radeon driver, but support video accelleration (activate the xv driver in mplayer). The Catalyst has 3D, but 2D might be slower than with radeon.
The radeon support for these new chips is experimental. On my HD4850, JWM displays no Icons. Icewm has broken titlebars. LXDE/Openbox and E17 work fine.

Mark
drm.ko-old.tar.gz
Description  If your dri is broken, try this drm.ko. Extract and rename it in the folder: /lib/modules/2.6.28.5/kernel/drivers/gpu/drm/
Then exit X, and type "rmmod drm" or better reboot.
gz

 Download 
Filename  drm.ko-old.tar.gz 
Filesize  41.66 KB 
Downloaded  314 Time(s) 

_________________
my recommended links

Last edited by MU on Wed 08 Apr 2009, 15:38; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
Jim1911

Joined: 19 May 2008
Posts: 2445
Location: Texas, USA

PostPosted: Mon 06 Apr 2009, 11:57    Post subject:  

Downloaded RC8 midi twice, both times sfs has an error when trying to copy it for a frugal installation.
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Mon 06 Apr 2009, 12:57    Post subject:  

the file got broken during upload Mad
I'm uploading a new one and post again, when it is done.
Mark

_________________
my recommended links
Back to top
View user's profile Send private message Visit poster's website 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Mon 06 Apr 2009, 13:59    Post subject:  

MU, I have tried twice for rc8 and gotten a bad md5sum each time. Are you sure it's right on the server?

Oops, sorry, guess I should have checked the messages first.
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Mon 06 Apr 2009, 14:11    Post subject:  

ok, uploaded again.
I controlled the checksums of all 4 isos now.
Mark

_________________
my recommended links
Back to top
View user's profile Send private message Visit poster's website 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Tue 07 Apr 2009, 14:03    Post subject:  

Sweeeet. I have been testing rc8 with my video card (ati radeon 3850) so here is some feedback that may or may not be useful.

NYP-RC8 - Driver "radeon" - Default desktop Openbox w/ wbar
Hardinfo reports:
Vender Mesa Project
Renderer Software rasterizer
Version 2.1 Mesa 7.4
Direct Rendering Yes

(1280x1024)
(antinspect = 27 fps without xcompmgr)

->Works with every desktop except Compiz
->Does *not* work with Compiz, white screen, no signal to monitor, sometimes recovers with ctrl-alt-bs, other times must reboot
->Conky does not show on JWM--I have this problem on lxde-pup also--sometimes it shows just until I click on the desktop--I found this discussed in the Conky FAQ's on their site--there are a couple of different ways to start Conky in it's own window just for these incompatibilities--I'll see if I can find it again--this happens with both radeon and gflrx--ah-ha, the problem is between Conky and Rox managing the desktop--Conky does not show when Rox is managing the Desktop (rox -p)

NYP-RC8 - Driver "fglrx" - LXDE-MU-Compiz
Vender ATI Technoligies Inc.
Renderer ATI Radeon HD 3850
Version 2.1.8543 Release
Direct rendering Yes

(antinspecdt = 42 fps with xcompmgr, 47 fps without xcompmgr)
(1280x1024)

-> Catalyst Control Center runs and changes resolution, must Reload Desktop after change in resolution so everything shows, defaults to highest res 1600x1200, instead of Reload Desktop can also logout to Desktop Chooser and back
->Monitor Settings (lxrandr) also works to change resolution
->Compiz is working nicely
->Alt-scroll wheel transparency is working
->JWM - runs well except xcompmgr is not running (which it could because patriot's jwm has a transparency option)
-> Checking all desktops, openbox/cairo bar is cute, clock is nice too, When Icewm taskbar is on top as in Icewm+Wbar, it covers the tops of the topmost icons on the desktop (the rox desktop icons)
-> E17: the Conky background is not "transparent," it still has the same color as on default wallpaper (Think Linux) I have found that Estetroot will set the root background which Conky uses to fake the transparency, but who knows with Enlightenment Wink
-> All desktops run with fglrx

Other items: Conky on Desktop only shows two cores; Wow's lxde-pup shows 4 cores; he said he wrote a script to do that

Abiword Spellchecker is not working, there is a fix for this, to install "dict-en.oxt" (for English), it is discussed in a forum post somewhere, I'll see if I can find it, also I think ttuuxxx has an Abiword 2.6.3 with numerous fixes

Wine and xcompmgr are incompatible, try to resize a wine window by grabbing corner, badness Wink
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Tue 07 Apr 2009, 14:32    Post subject:  

thanks for the detailed feedback Smile
JWM was just quickly added, I did not tweak anything yet.
Maybe conky works with a delay.
You might try to modify some settings in /usr/local/Desktopstarters/startjwm.

I will try to solve such issues when I find time.
As Jwm is not in my main focus, I am open for all suggestions/tweaks, that peole provide.

I also will try to take care of the other suggestions, like 4 cores in conky or the spellchecker.

Quote:
E17: the Conky background is not "transparent," it still has the same color as on default wallpaper (Think Linux) I have found that Estetroot will set the root background which Conky uses to fake the transparency, but who knows with Enlightenment


please look here (at bottom):
http://puppyisos.org/isos/2008-07-to-12/Puppy-4-K2.6.27.5/iso-01/Addons-by-MU-02/Documentation/desktopchooser.html
user: puppy, password: linux
I found no other solution.

Mark

_________________
my recommended links

Last edited by MU on Tue 07 Apr 2009, 14:53; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 19 of 30 [441 Posts]   Goto page: Previous 1, 2, 3, ..., 17, 18, 19, 20, 21, ..., 28, 29, 30 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0965s ][ Queries: 13 (0.0103s) ][ GZIP on ]